## vienna-rna 2.7.0+dfsg

=== doc/requirements.txt ===
sphinx<7
sphinx-multiproject
myst-parser
sphinx-copybutton
sphinxcontrib-bibtex
sphinx-rtd-theme

=== doc/breathe/Makefile ===

.PHONY: all
all: html pdf

.PHONY: html
html: data
	$(MAKE) -C documentation html

.PHONY: pdf
pdf: data
	$(MAKE) -C documentation latexpdf
	
.PHONY: data
data:
	$(MAKE) -C examples/doxygen all
	$(MAKE) -C examples/tinyxml all
	$(MAKE) -C examples/specific all

.PHONY: distclean
distclean: clean
	$(MAKE) -C documentation clean

.PHONY: clean
clean:
	$(MAKE) -C examples/doxygen $@
	$(MAKE) -C examples/tinyxml $@
	$(MAKE) -C examples/specific $@

.PHONY: test
test:
	cd tests && python3 -m pytest -v

.PHONY: dev-test
dev-test:
	cd tests && PYTHONPATH=../:$(PYTHONPATH) python3 -m pytest -v

.PHONY: flake8
flake8:
	flake8 breathe

.PHONY: black
black:
	black --check .

.PHONY: type-check
type-check:
	mypy --warn-redundant-casts --warn-unused-ignores breathe tests

.PHONY: version-check
version-check:
	 PYTHONPATH=../:$(PYTHONPATH) python3 scripts/version-check.py

=== doc/breathe/documentation/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   ?= -v -W -E
# -n triggers an additional 100+ warnings (all about undefined references) that -W treats as errors.
# these extraneous warnings are ignored because some doc pages have to avoid duplicate IDs
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR     ?= build
DEBUG        ?= -P

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = $(DEBUG) -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/test.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/test"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/test"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

spelling:
	$(SPHINXBUILD) -b spelling -N $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Build finished. The spelling files are in $(BUILDDIR)/spelling."

=== doc/breathe/examples/doxygen/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 13 12:17:28 GMT 2008
#

DOXYGEN   ?= `which doxygen`
TMAKEPATH =
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     =
MAKE      = /usr/bin/make
PERL      = /usr/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.5.7.1
INSTALL   = /tmp
INSTTOOL  = /usr/bin/install
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     =
HAVE_DOT  = /usr/bin/dot

all: class/xml/index.xml \
     concept/xml/index.xml \
     define/xml/index.xml \
     enum/xml/index.xml \
     file/xml/index.xml \
     func/xml/index.xml \
     page/xml/index.xml \
     relates/xml/index.xml \
     author/xml/index.xml \
     par/xml/index.xml \
     parblock/xml/index.xml \
     overload/xml/index.xml \
     example/xml/index.xml \
     include/xml/index.xml \
     qtstyle/xml/index.xml \
     jdstyle/xml/index.xml \
     structcmd/xml/index.xml \
     autolink/xml/index.xml \
     restypedef/xml/index.xml \
     afterdoc/xml/index.xml \
     template/xml/index.xml \
     tag/xml/index.xml \
     group/xml/index.xml \
     diagrams/xml/index.xml \
     memgrp/xml/index.xml \
     docstring/xml/index.xml \
     pyexample/xml/index.xml \
     manual/xml/index.xml \
     interface/xml/index.xml

clean:
	rm -rf  class concept define enum file func page relates author \
		par parblock overload example include qtstyle jdstyle structcmd \
		autolink tag restypedef afterdoc template tag group diagrams \
		memgrp docstring pyexample manual interface

class/xml/index.xml: class.h class.cfg
	$(DOXYGEN) class.cfg

concept/xml/index.xml: concept.h concept.cfg
	$(DOXYGEN) concept.cfg

define/xml/index.xml: define.h define.cfg
	$(DOXYGEN) define.cfg

enum/xml/index.xml: enum.h enum.cfg
	$(DOXYGEN) enum.cfg

file/xml/index.xml: file.h file.cfg
	$(DOXYGEN) file.cfg

func/xml/index.xml: func.h func.cfg
	$(DOXYGEN) func.cfg

page/xml/index.xml: page.doc page.cfg
	$(DOXYGEN) page.cfg

relates/xml/index.xml: relates.cpp relates.cfg
	$(DOXYGEN) relates.cfg

author/xml/index.xml: author.cpp author.cfg
	$(DOXYGEN) author.cfg

par/xml/index.xml: par.cpp par.cfg
	$(DOXYGEN) par.cfg

parblock/xml/index.xml: parblock.cpp parblock.cfg
	$(DOXYGEN) parblock.cfg

overload/xml/index.xml: overload.cpp overload.cfg
	$(DOXYGEN) overload.cfg

example/xml/index.xml: example.cpp example_test.cpp example.cfg
	$(DOXYGEN) example.cfg

include/xml/index.xml: include.cpp example_test.cpp include.cfg
	$(DOXYGEN) include.cfg

qtstyle/xml/index.xml: qtstyle.cpp qtstyle.cfg
	$(DOXYGEN) qtstyle.cfg

jdstyle/xml/index.xml: jdstyle.cpp jdstyle.cfg
	$(DOXYGEN) jdstyle.cfg

structcmd/xml/index.xml: structcmd.h structcmd.cfg
	$(DOXYGEN) structcmd.cfg

autolink/xml/index.xml: autolink.cpp autolink.cfg
	$(DOXYGEN) autolink.cfg

tag/xml/index.xml: tag.cpp tag.cfg example/xml/index.xml
	$(DOXYGEN) tag.cfg
#	sed -e "1,1s#perl#$(PERL)#g" tag/xml/installdox >tag/xml/installdox.perl
#	cd tag/xml ; $(PERL) installdox.perl -lexample.tag@../../example/xml

restypedef/xml/index.xml: restypedef.cpp restypedef.cfg
	$(DOXYGEN) restypedef.cfg

afterdoc/xml/index.xml: afterdoc.h afterdoc.cfg
	$(DOXYGEN) afterdoc.cfg

template/xml/index.xml: templ.cpp templ.cfg
	$(DOXYGEN) templ.cfg

group/xml/index.xml: group.cpp group.cfg
	$(DOXYGEN) group.cfg

memgrp/xml/index.xml: memgrp.cpp memgrp.cfg
	$(DOXYGEN) memgrp.cfg

pyexample/xml/index.xml: pyexample.py pyexample.cfg
	$(DOXYGEN) pyexample.cfg

manual/xml/index.xml: manual.c manual.cfg
	$(DOXYGEN) manual.cfg

docstring/xml/index.xml: docstring.py docstring.cfg
	$(DOXYGEN) docstring.cfg

interface/xml/index.xml: interface.h interface.cfg
	$(DOXYGEN) interface.cfg

diagrams/xml/index.xml: diagrams_a.h diagrams_b.h diagrams_c.h diagrams_d.h diagrams_e.h diagrams.cfg
ifneq ($(HAVE_DOT),)
	$(DOXYGEN) diagrams.cfg
endif

=== doc/breathe/examples/specific/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 13 12:17:28 GMT 2008
#

DOXYGEN   ?= `which doxygen`
TMAKEPATH =
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     =
MAKE      = /usr/bin/make
PERL      = /usr/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.5.7.1
INSTALL   = /tmp
INSTTOOL  = /usr/bin/install
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     =
HAVE_DOT  = /usr/bin/dot

projects  = nutshell alias rst inline namespacefile array inheritance \
			members userdefined fixedwidthfont latexmath functionOverload \
			image name union group struct struct_function qtsignalsandslots lists \
			headings links parameters template_class template_class_non_type \
			template_function template_type_alias template_specialisation \
			enum define interface xrefsect tables \
			cpp_anon cpp_concept cpp_enum cpp_union cpp_function cpp_friendclass \
			cpp_inherited_members cpp_trailing_return_type cpp_constexpr_hax \
			cpp_function_lookup \
			c_file c_struct c_enum c_typedef c_macro c_union membergroups \
			simplesect code_blocks dot_graphs

special   = programlisting decl_impl multifilexml auto class typedef

xmls := $(foreach project, $(projects), $(project)/xml/index.xml)

special_xmls = $(foreach project, $(special), $(project)/xml/index.xml)

all: $(xmls) $(special_xmls)

clean:
	rm -rf $(projects) $(special)


# General pattern
# ---------------

$(xmls): %/xml/index.xml: %.cfg %.h
	$(DOXYGEN) $<


# Special Cases
# -------------

programlisting/xml/index.xml: programlisting.h programlisting.cfg programlistinginclude.txt
	$(DOXYGEN) programlisting.cfg

decl_impl/xml/index.xml: decl_impl.h decl_impl.cpp decl_impl.cfg
	$(DOXYGEN) decl_impl.cfg

multifilexml/xml/index.xml: multifile/one/Util.h multifile/two/Util.h multifile.cfg
	$(DOXYGEN) multifile.cfg

auto/xml/index.xml: auto_class.h auto_function.h auto.cfg
	$(DOXYGEN) auto.cfg

class/xml/index.xml: class.h class.cpp class.cfg
	$(DOXYGEN) class.cfg

typedef/xml/index.xml: typedef.h typedef.cfg
	$(DOXYGEN) typedef.cfg

=== debian/control ===
Source: vienna-rna
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Steffen Moeller <moeller@debian.org>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev,
               pkg-config,
               libtool,
               gettext,
               swig (>= 4.0.2),
               perl-doc,
               perl,
               graphviz,
               libdlib-dev,
               libgsl-dev,
               liblapack-dev,
               libmpfr-dev,
               libsvm-dev,
               perl-xs-dev,
               xxd,
               texlive-latex-extra,
               help2man,
               gengetopt,
               cthreadpool-dev,
               ghostscript,
               doxygen,
               texinfo
#               libg2-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/vienna-rna
Vcs-Git: https://salsa.debian.org/med-team/vienna-rna.git
Homepage: https://www.tbi.univie.ac.at/RNA/
Rules-Requires-Root: no

Package: vienna-rna
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: readseq
Description: RNA sequence analysis
 The Vienna RNA Package consists of a C code library and several
 stand-alone programs for the prediction and comparison of RNA secondary
 structures. It is developed and maintained by the group of Ivo Hofacker
 in Vienna.
 .
 RNA secondary structure prediction through energy minimization is the
 most used function in the package. It provides three kinds of dynamic
 programming algorithms for structure prediction:
  * the minimum free energy algorithm of (Zuker & Stiegler 1981) which
    yields a single optimal structure,
  * the partition function algorithm of (McCaskill 1990) which calculates
    base pair probabilities in the thermodynamic ensemble, and the
    suboptimal folding algorithm of (Wuchty et.al 1999) which generates
    all suboptimal structures within a given energy range of the optimal
    energy.
 .
 For secondary structure comparison, the package contains several
 measures of distance (dissimilarities) using either string alignment or
 tree-editing (Shapiro & Zhang 1990). Finally, is provided an algorithm
 to design sequences with a predefined structure (inverse folding).
 The RNAforester package is a tool for aligning RNA secondary structures
 and it's user interface integrates to those of the tools of the
 Vienna RNA package.

Package: python3-rna
Architecture: any
Section: non-free/python
Depends: python3,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
Description: ViennaRNA Python wrappers
 Python wrappers above ViennaRNA library.
 .
 The Vienna RNA Package consists of a C code library and several
 stand-alone programs for the prediction and comparison of RNA secondary
 structures

Package: librna-perl
Architecture: any
Section: non-free/perl
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: ViennaRNA perl wrappers
 Perl wrappers above ViennaRNA library.
 .
 The Vienna RNA Package consists of a C code library and several
 stand-alone programs for the prediction and comparison of RNA secondary
 structures

#Package: vienna-rna-doc
#Architecture: all
#Section: non-free/doc
#Depends: ${misc:Depends},
#         libjs-jquery
#Suggests: libviennarna0 (= ${binary:Version}),
#          libviennarna-dev (= ${binary:Version})
#Description: RNA sequence analysis documentation package
# The Vienna RNA Package consists of a C code library and several
# stand-alone programs for the prediction and comparison of RNA secondary
# structures. It is developed and maintained by the group of Ivo Hofacker
# in Vienna.
# .
# This package contains the documentation for vienna-rna.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python3


override_dh_auto_configure:
	CFLAGS="-I/usr/include/json-c/ -I/usr/include/libsvm/" \
	CXXFLAGS="-I/usr/include/json-c/ -I/usr/include/libsvm/" \
	dh_auto_configure -- \
		--with-cluster \
		--without-python2 \
		--with-python \
		--without-forester \
		--without-doc \
		--without-tutorial
	if [ -r man/help2manWrapper.sh ] \
	; then chmod +x man/help2manWrapper.sh \
	; fi

override_dh_auto_build:
	if [ ! -d src/cthreadpool ]; then \
	  mkdir -p src/cthreadpool && \
	  cd src/cthreadpool && \
	  ln -s /usr/include/cthreadpool/thpool.h . && \
	  ln -s /usr/share/cthreadpool/thpool.c . ; \
	fi

	# Using --no-parallel to avoid some problems with missing files during the build
	dh_auto_build --no-parallel
	if [ -r doc/RNAlib-*pdf; then cd doc && ln -f RNAlib-*.pdf RNAlib.pdf; fi

override_dh_auto_install:
	# rename perl scripts to remove the *.pl extension and create manpage via perldoc
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	#for script in `ls Utils/*.pl` ; do \
	#  newscript=`basename $${script} .pl` ; \
	#  cp -a $${script} $(CURDIR)/debian/tmp/usr/bin/$${newscript} ; \
	#  perldoc -onroff -F $${script} | \
	#  sed -e "s/$${newscript}\.pl/$${newscript}/g" \
	#  > $(CURDIR)/debian/tmp/usr/share/man/man1/$${newscript}.1 ; \
	#  if [ ! -s $(CURDIR)/debian/tmp/usr/share/man/man1/$${newscript}.1 ] ; then \
	#    rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/$${newscript}.1 ; \
	#  fi ; \
	#done
	dh_auto_install
	find debian/ -name .gitignore -delete

SHELL=/bin/bash
override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/RNAlib*
	rm -f doc/*.db
	rm -f interfaces/Perl/Makefile.perl.old
	rm -f interfaces/Python/install.record
	rm -rf doc/html
	rm -rf doc/latex
	rm -rf src/cthreadpool
	#find . \( -type f -a \( -name config.status -o -name config.sub -o -name config.guess \) \) -delete
	find src/ViennaRNA -name "*.hex" -delete
	find . -name "*eps-converted-to.pdf" -delete
	rm -f src/bin/RNAfold_cmdl.[ch]
	rm -f aclocal.m4 src/Kinfold/aclocal.m4
	grep -rl "DO NOT MODIFY THIS FILE!  It was generated by help2man" man | xargs -r rm -f
	grep -lri "DO NOT EDIT THIS FILE." src | grep -v debian | xargs -r rm
	grep -lri "File autogenerated by gengetopt" src | grep -v debian | xargs -r rm
	grep -lri "Generated from configure.ac" . | grep -v debian | xargs -r rm
	grep -lri "generated by GNU Gengetopt" . | grep -v debian | xargs -r rm
	grep -lri "DO NOT MODIFY THIS FILE" man | grep -v debian | xargs -r rm
	grep -lri "made by GNU Bison" src | grep -v debian | xargs -r rm
	grep -lri "produced by makeinfo version" man | grep -v debian | xargs -r rm
	#rm -f src/Kinfold/INSTALL src/RNAforester/INSTALL src/RNAlocmin/RNAlocmin
	# removal of self-added symbolic links
	rm -rf src/cthreadpool/
	find . -name Makefile.in -delete
	#rm -f  config/ar-lib config/compile config/depcomp config/install-sh config/ltmain.sh config/missing config/test-driver config/texinfo.tex
	rm -f configure
	rm -f m4/libtool.m4
	rm -f src/{RNAforester,RNAlocmin,Kinfold,Kinwalker}/{compile,depcomp,install-sh,missing,aclocal.m4,ylwrap}
	rm -f src/{Kinwalker,RNAforester}/{aclocal.m4,ylwrap,install-sh
	rm  -f src/Kinfold/config.guess src/Kinfold/config.sub src/Kinfold/configure
	rm  -f src/Kinwalker/configure
	rm  -f src/RNAforester/configure src/RNAforester/g2-0.72/configure
	rm  -f src/RNAlocmin/config.guess src/RNAlocmin/config.sub src/RNAlocmin/configure
	rm -f config/ltmain.sh src/Kinfold/INSTALL src/RNAforester/INSTALL

	# removing self-created man pages
	find man/ -name "*.1" -delete


override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_missing:

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/ViennaRNA/ViennaRNA/tags  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

#  https://www.tbi.univie.ac.at/RNA/  .*/download/sourcecode/.*/ViennaRNA-@ANY_VERSION@@ARCHIVE_EXT@
